package com.flossom.common.core.domain.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;

import java.util.Date;
import java.util.List;

/**
 * 保存用户对象
 *
 * @author flossom
 * @date 2023-12-08
 */
public class WxUserMemberReq {

    /**
     * id
     */
    private Long id;

    /**
     * 昵称
     */
    private String nickname;

    /**
     * 手机
     */
    private String mobile;

    /**
     * 省id
     */
    private Long provinceId;

    /**
     * 市id
     */
    private Long cityId;

    /**
     * 区id
     */
    private Long areaId;

    /**
     * 生日
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date birthday;

    /**
     * 外部标签
     */
    List<Integer> wecomTags;

    /**
     * 小程序标签
     */
    List<Integer> miniProgramTags;

    /**
     * 打卡：1可以2不可以
     */
    private Integer clock;

    /**
     * 活动：1可以2不可以
     */
    private Integer activity;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    public WxUserMemberReq() {
    }

    public WxUserMemberReq(Long id, String nickname, String mobile, Long provinceId, Long cityId, Long areaId, Date birthday, List<Integer> wecomTags, List<Integer> miniProgramTags, Integer clock, Integer activity, Date updateTime) {
        this.id = id;
        this.nickname = nickname;
        this.mobile = mobile;
        this.provinceId = provinceId;
        this.cityId = cityId;
        this.areaId = areaId;
        this.birthday = birthday;
        this.wecomTags = wecomTags;
        this.miniProgramTags = miniProgramTags;
        this.clock = clock;
        this.activity = activity;
        this.updateTime = updateTime;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Long getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(Long provinceId) {
        this.provinceId = provinceId;
    }

    public Long getCityId() {
        return cityId;
    }

    public void setCityId(Long cityId) {
        this.cityId = cityId;
    }

    public Long getAreaId() {
        return areaId;
    }

    public void setAreaId(Long areaId) {
        this.areaId = areaId;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public List<Integer> getWecomTags() {
        return wecomTags;
    }

    public void setWecomTags(List<Integer> wecomTags) {
        this.wecomTags = wecomTags;
    }

    public List<Integer> getMiniProgramTags() {
        return miniProgramTags;
    }

    public void setMiniProgramTags(List<Integer> miniProgramTags) {
        this.miniProgramTags = miniProgramTags;
    }

    public Integer getClock() {
        return clock;
    }

    public void setClock(Integer clock) {
        this.clock = clock;
    }

    public Integer getActivity() {
        return activity;
    }

    public void setActivity(Integer activity) {
        this.activity = activity;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
